at.chipkarte.client.ebs.soap

## Class Adressdaten

- Object
- - at.chipkarte.client.ebs.soap.Adressdaten

-     public class Adressdaten
      extends Object

  Dient der Ein- und Ausgabe der Daten von Adressdaten. Wird das Objekt angegeben, müssen alle Felder angegeben werden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Adressdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOrt()` Ort.
    `String` | `getPostleitzahl()` Postleitzahl.
    `String` | `getStaat()` Staatenbezeichnung nach dem ISO Alpha 2 Kürzel. z.B.: AT für Österreich.
    `String` | `getStrasse()` Strasse inkl.
    `void` | `setOrt(String ort)`
    `void` | `setPostleitzahl(String postleitzahl)`
    `void` | `setStaat(String staat)`
    `void` | `setStrasse(String strasse)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Adressdaten

          public Adressdaten()

  - ### Method Detail

    - #### getOrt

          public String getOrt()

      Ort.
      Angabe: Muss.
      Format: 40-stellig
      Returns:
        Ort.

    - #### setOrt

          public void setOrt(String ort)

    - #### getPostleitzahl

          public String getPostleitzahl()

      Postleitzahl.
      Angabe: Muss.
      Format: mindestens 3-stellig bis maximal 9-stellig
      Returns:
        Postleitzahl.

    - #### setPostleitzahl

          public void setPostleitzahl(String postleitzahl)

    - #### getStrasse

          public String getStrasse()

      Strasse inkl. Haus/Türnummer.
      Angabe: Muss.
      Format: 60-stellig
      Returns:
        Strasse.

    - #### setStrasse

          public void setStrasse(String strasse)

    - #### getStaat

          public String getStaat()

      Staatenbezeichnung nach dem ISO Alpha 2 Kürzel. z.B.: AT für Österreich.
      Mögliche Werte siehe `getStaatenISO3166alpha2`.
      Angabe: Muss.
      Returns:
        Staat.

    - #### setStaat

          public void setStaat(String staat)